From 6f8eae0ca24e1ca7e816906042cb8b6b14886698 Mon Sep 17 00:00:00 2001
From: Nate Graham <nate@kde.org>
Date: Fri, 17 Sep 2021 07:43:48 -0600
Subject: [PATCH] Revert "Change busywidget to a gear"

This reverts commit aafe6523cc0fe809d03fb6b98c624ac3c0f49973.

This change has not been well-received by users, and exposes a
conceptual issue with how app launch animations are currently handled in
Plasma, with the loading spinner simply re-used as an overlay on top of
the app icon. This constrains possible designs for the spinner because
the backgrounds it will be displayed on top of differ gratly in these
usages; what looks good in one context may not look good in the other.
We will have to find another way.

BUG: 442525
FIXED-IN: 5.87
---
 .../breeze/widgets/busywidget.svg             | 80 ++++++++-----------
 1 file changed, 35 insertions(+), 45 deletions(-)

diff --git a/src/desktoptheme/breeze/widgets/busywidget.svg b/src/desktoptheme/breeze/widgets/busywidget.svg
index 2ca09f283..0eaf137a7 100644
--- a/src/desktoptheme/breeze/widgets/busywidget.svg
+++ b/src/desktoptheme/breeze/widgets/busywidget.svg
@@ -14,7 +14,7 @@
    viewBox="0 0 35.983333 35.983334"
    id="svg2"
    version="1.1"
-   inkscape:version="0.92.5 (2060ec1f9f, 2020-04-08)"
+   inkscape:version="0.48.5 r10040"
    sodipodi:docname="busywidget.svgz">
   <defs
      id="defs4">
@@ -75,7 +75,7 @@
      inkscape:pageopacity="0"
      inkscape:pageshadow="2"
      inkscape:zoom="5.4632354"
-     inkscape:cx="186.91665"
+     inkscape:cx="219.5896"
      inkscape:cy="25.042129"
      inkscape:document-units="px"
      inkscape:current-layer="layer1"
@@ -84,9 +84,9 @@
      inkscape:showpageshadow="false"
      borderlayer="true"
      inkscape:window-width="1920"
-     inkscape:window-height="1007"
+     inkscape:window-height="1027"
      inkscape:window-x="0"
-     inkscape:window-y="0"
+     inkscape:window-y="-3"
      inkscape:window-maximized="1"
      fit-margin-top="0"
      fit-margin-left="0"
@@ -96,73 +96,59 @@
        type="xygrid"
        id="grid4160"
        empspacing="2"
-       originx="0"
-       originy="0"
+       originx="0px"
+       originy="0px"
        visible="true"
        enabled="true"
-       snapvisiblegridlinesonly="true"
-       spacingx="1"
-       spacingy="1" />
+       snapvisiblegridlinesonly="true" />
     <sodipodi:guide
        position="-5.8455811e-08,35.983344"
        orientation="136.00001,0"
-       id="guide4155"
-       inkscape:locked="false" />
+       id="guide4155" />
     <sodipodi:guide
        position="-5.8455811e-08,6.6152344e-06"
        orientation="0,136"
-       id="guide4157"
-       inkscape:locked="false" />
+       id="guide4157" />
     <sodipodi:guide
        position="35.983333,6.6152344e-06"
        orientation="-136.00001,0"
-       id="guide4159"
-       inkscape:locked="false" />
+       id="guide4159" />
     <sodipodi:guide
        position="35.983333,35.983344"
        orientation="0,-136"
-       id="guide4161"
-       inkscape:locked="false" />
+       id="guide4161" />
     <sodipodi:guide
        position="1.1488343e-09,17.991675"
        orientation="68.000007,0"
-       id="guide4165"
-       inkscape:locked="false" />
+       id="guide4165" />
     <sodipodi:guide
        position="1.1488343e-09,6.6152344e-06"
        orientation="0,67.999998"
-       id="guide4167"
-       inkscape:locked="false" />
+       id="guide4167" />
     <sodipodi:guide
        position="17.991666,6.6152344e-06"
        orientation="-68.000007,0"
-       id="guide4169"
-       inkscape:locked="false" />
+       id="guide4169" />
     <sodipodi:guide
        position="17.991666,17.991675"
        orientation="0,-67.999998"
-       id="guide4171"
-       inkscape:locked="false" />
+       id="guide4171" />
     <sodipodi:guide
        position="1.8520831,34.131232"
        orientation="122.00003,0"
-       id="guide4199"
-       inkscape:locked="false" />
+       id="guide4199" />
     <sodipodi:guide
        position="1.8520831,1.8520574"
        orientation="0,121.99999"
-       id="guide4201"
-       inkscape:locked="false" />
+       id="guide4201" />
     <sodipodi:guide
        position="34.131248,1.8520574"
        orientation="-122.00003,0"
-       id="guide4203"
-       inkscape:locked="false" />
+       id="guide4203" />
     <sodipodi:guide
        position="34.131248,34.131232"
        orientation="0,-121.99999"
-       id="guide4205"
-       inkscape:locked="false" />
+       id="guide4205" />
   </sodipodi:namedview>
   <metadata
      id="metadata7">
@@ -227,7 +213,7 @@
        y="285.35831" />
     <g
        id="busywidget"
-       transform="translate(-36.777084)">
+       transform="translate(-36.777084,0)">
       <rect
          style="fill:none;stroke:none"
          id="rect3016"
@@ -236,10 +222,11 @@
          x="36.247917"
          y="249.37498" />
       <path
-         class="ColorScheme-ButtonFocus"
-         d="m 54.239579,252.55041 c -1.250543,0.007 -2.495143,0.1722 -3.704169,0.4921 v 1.93529 c -0.8449,0.2527 -1.661835,0.5908 -2.4381,1.00926 l -1.370963,-1.37102 c -2.161292,1.27435 -3.963589,3.07664 -5.237918,5.23796 l 1.370971,1.37095 c -0.41972,0.77609 -0.75908,1.59306 -1.012872,2.4381 h -1.9425 c -0.31598,1.20946 -0.47768,2.45413 -0.48111,3.70419 0.0077,1.25055 0.17227,2.49515 0.49196,3.70412 h 1.935276 c 0.25263,0.8449 0.5908,1.66187 1.009239,2.4381 l -0.40516,0.4053 -0.965839,0.96586 c 1.274322,2.16125 3.076626,3.96361 5.237932,5.23789 l 0.965824,-0.96586 0.40516,-0.4053 c 0.776118,0.4193 1.593053,0.75908 2.4381,1.01283 v 1.9425 c 1.209488,0.3164 2.454088,0.4774 3.704169,0.4809 1.250081,-0.006 2.494681,-0.1652 3.704169,-0.4809 v -1.9425 c 0.845047,-0.2534 1.661982,-0.5929 2.4381,-1.01283 l 1.370964,1.37095 c 2.161309,-1.27428 3.963606,-3.07664 5.237928,-5.23789 l -1.370985,-1.37102 c 0.41846,-0.77623 0.756637,-1.5932 1.009239,-2.4381 h 1.935297 c 0.31969,-1.20897 0.48454,-2.45357 0.49196,-3.70412 -0.0036,-1.25006 -0.1652,-2.49473 -0.48111,-3.70419 h -1.9425 c -0.25375,-0.84504 -0.59318,-1.66201 -1.012872,-2.4381 l 0.40516,-0.4053 0.965839,-0.96579 c -1.274322,-2.16132 -3.07664,-3.96361 -5.237928,-5.23796 l -1.356502,1.35653 -0.0147,0.014 c -0.776286,-0.4186 -1.593221,-0.75663 -2.438121,-1.00926 v -1.93529 c -1.209026,-0.3199 -2.453626,-0.4844 -3.704169,-0.4921 z m 0,1.85206 c 0.62027,0.001 1.240078,0.049 1.852081,0.1414 v 1.87019 c 1.649396,0.2828 3.213623,0.9345 4.575942,1.90638 l 0.11949,-0.119 1.208284,-1.20827 c 0.995193,0.74207 1.877914,1.62204 2.622581,2.61534 l -1.327739,1.32769 c 0.96845,1.36437 1.616384,2.92978 1.895404,4.57961 h 1.880991 c 0.08946,0.6132 0.1365,1.23074 0.13741,1.85206 -0.002,0.6202 -0.0504,1.24005 -0.14112,1.85206 h -1.870176 c -0.2828,1.64941 -0.934451,3.21363 -1.906331,4.57597 l 0.11928,0.1197 1.208277,1.20827 c -0.74207,0.99526 -1.622068,1.87796 -2.615336,2.62262 l -1.327746,-1.32776 c -1.364447,0.96845 -2.929899,1.61644 -4.579659,1.89546 v 1.88097 c -0.61313,0.0896 -1.230803,0.1365 -1.852088,0.1372 -0.62125,-9.1e-4 -1.23893,-0.049 -1.852081,-0.1372 v -1.88097 c -1.64976,-0.2793 -3.215219,-0.92701 -4.579575,-1.89553 l -1.327738,1.32776 c -0.993251,-0.74466 -1.873249,-1.62736 -2.615326,-2.62262 l 1.208284,-1.20827 0.11942,-0.119 c -0.97188,-1.3622 -1.623552,-2.92642 -1.906331,-4.57583 h -1.870176 c -0.09037,-0.6118 -0.13888,-1.23179 -0.14112,-1.85213 9.24e-4,-0.6216 0.0483,-1.23893 0.13741,-1.85206 h 1.881012 c 0.27902,-1.64976 0.926947,-3.21524 1.895495,-4.57954 l -1.327739,-1.32776 c 0.744667,-0.99323 1.627388,-1.87327 2.622585,-2.61534 l 1.208283,1.20827 0.11949,0.119 c 1.36234,-0.97188 2.926574,-1.62351 4.575963,-1.90631 v -1.87019 c 0.61201,-0.0903 1.231804,-0.1386 1.852081,-0.1414 z"
-         id="path5"
          inkscape:connector-curvature="0"
+         class="ColorScheme-ButtonFocus"
+         id="path3018"
+         transform="matrix(0.26458334,0,0,0.26458334,-0.52916714,249.37498)"
+         d="m 207,7 a 60.999998,61.000013 0 0 0 -61,61 60.999998,61.000013 0 0 0 52.5,60.34375 60.999998,61.000013 0 0 0 0.0625,0 60.999998,61.000013 0 0 0 0.125,0.0313 60.999998,61.000013 0 0 0 3.46875,0.40625 60.999998,61.000013 0 0 0 1.34375,0.0937 60.999998,61.000013 0 0 0 0.0313,0 c 0.15685,0.009 0.31182,0.0232 0.46875,0.0313 A 60.999998,61.000013 0 0 0 207,129 c 0.15564,-7.2e-4 0.31314,-0.0292 0.46875,-0.0313 a 60.999998,61.000013 0 0 0 4.1875,-0.21875 c 0.20839,-0.0188 0.41684,-0.0101 0.625,-0.0313 12.83843,-1.3057 25.21151,-7.11778 34.34375,-16.25 10.43684,-10.43683 16.49999,-25.115076 16.5,-39.875 0,-5.534972 -0.85031,-11.052726 -2.46875,-16.34375 A 54.99999,55.000005 0 0 1 262,68 54.99999,55.000005 0 0 1 207,123 54.99999,55.000002 0 0 1 152,68 54.99999,55.000002 0 0 1 154.46875,51.75 54.99999,55.000002 0 0 1 207,13 l 1,0 c 1.10799,0 2,-0.892032 2,-2 l 0,-2 c 0,-1.1079685 -0.89201,-2 -2,-2 l -1,0 z"
          style="fill:currentColor;fill-opacity:1;stroke:none" />
     </g>
     <g
@@ -252,11 +239,13 @@
          id="rect3007"
          style="fill:none;stroke:none" />
       <path
-         class="ColorScheme-ButtonFocus"
-         d="m 53.84271,280.06665 v 0.43717 c -0.248425,0.0513 -0.484716,0.1497 -0.696085,0.28991 l -0.310057,-0.31005 -0.561206,0.5612 0.310059,0.31005 c -0.139694,0.2115 -0.237569,0.44777 -0.288353,0.6961 h -0.438734 v 0.79374 h 0.437181 c 0.05126,0.24842 0.14967,0.48472 0.289906,0.69608 l -0.310059,0.31005 0.561206,0.56122 0.310057,-0.31005 c 0.211484,0.13965 0.447772,0.23755 0.696085,0.28834 v 0.43874 h 0.793748 v -0.43717 c 0.248425,-0.0513 0.484717,-0.14971 0.696085,-0.28991 l 0.310057,0.31005 0.561206,-0.56122 -0.310059,-0.31005 c 0.139695,-0.21148 0.23757,-0.44775 0.288353,-0.69608 h 0.438734 v -0.79374 h -0.437181 c -0.05126,-0.24844 -0.14967,-0.48473 -0.289906,-0.6961 l 0.310059,-0.31005 -0.561206,-0.5612 -0.310057,0.31005 c -0.211487,-0.13965 -0.447771,-0.23755 -0.696085,-0.28835 v -0.43873 z m 0.396874,0.79375 c 0.429013,0 0.839763,0.17364 1.13869,0.48137 0.28781,0.29628 0.44881,0.69307 0.44881,1.10612 0,0.42903 -0.17364,0.83977 -0.481365,1.1387 -0.296283,0.2878 -0.693075,0.44881 -1.106135,0.44881 -0.429013,0 -0.839762,-0.17365 -1.13869,-0.48137 -0.287809,-0.29628 -0.44881,-0.69308 -0.44881,-1.10614 0,-0.42901 0.173641,-0.83975 0.481365,-1.13868 0.296284,-0.28782 0.693076,-0.44881 1.106135,-0.44881 z"
-         id="path5-3"
+         sodipodi:nodetypes="sccccccccccccccccsssss"
          inkscape:connector-curvature="0"
-         style="fill:currentColor;fill-opacity:1;stroke:none" />
+         id="path3009"
+         transform="matrix(0.26458334,0,0,0.26458334,-0.52916714,249.37498)"
+         d="m 206.90625,115 c -5.68285,0 -9.90626,4.76331 -9.90625,10 0,5.11064 3.86041,9.24196 8.53125,9.90625 0.007,0.001 0.0245,-0.001 0.0313,0 0.1869,0.0265 0.37435,0.0459 0.5625,0.0625 0.0726,0.008 0.11478,-0.004 0.1875,0 l 0.0313,0 c 0.0253,0.002 0.0371,0 0.0625,0 0.16207,0.008 0.3377,0.0313 0.5,0.0313 0.0253,-1.1e-4 0.0373,0 0.0625,0 0.22673,-0.003 0.46154,-0.0123 0.6875,-0.0313 0.0336,-0.003 0.06,0.002 0.0937,0 2.08268,-0.2143 4.08105,-1.19024 5.5625,-2.6875 2.29078,-2.85585 2.42433,-5.2927 1.42433,-9.29269 1.22819,5.24703 -2.45297,9.87167 -7.86188,10.0102 -4.24948,0 -7.87455,-3.58819 -7.87457,-7.99871 0.0682,-4.85133 3.99957,-7.98861 7.93707,-8.00652 l 0.15625,0 c 0.16789,0 0.31534,-0.15426 0.3125,-0.32394 -0.006,-0.3677 -0.0216,-0.97956 -0.0313,-1.32579 C 207.36994,115.1624 207.24222,115 207.0625,115 z"
+         style="fill:currentColor;fill-opacity:1;stroke:none"
+         class="ColorScheme-ButtonFocus" />
     </g>
     <g
        id="16-16-busywidget">
@@ -268,11 +257,12 @@
          x="58.472801"
          y="281.12497" />
       <path
-         class="ColorScheme-ButtonFocus"
-         d="m 60.280903,281.38956 v 0.34003 c -0.193218,0.0399 -0.377001,0.11643 -0.541398,0.22548 l -0.241156,-0.24115 -0.436493,0.4365 0.241157,0.24115 c -0.108652,0.16448 -0.184777,0.34826 -0.224276,0.5414 H 58.7375 v 0.61735 h 0.34003 c 0.03986,0.19323 0.11641,0.37701 0.225483,0.54141 l -0.241157,0.24115 0.436493,0.43649 0.241156,-0.24115 c 0.164487,0.10862 0.348266,0.18477 0.541398,0.22427 v 0.34124 h 0.617361 v -0.34003 c 0.193218,-0.0399 0.377001,-0.11643 0.541398,-0.22548 l 0.241156,0.24115 0.436493,-0.43649 -0.241157,-0.24115 c 0.108652,-0.16449 0.184777,-0.34827 0.224276,-0.54141 h 0.341237 v -0.61735 h -0.34003 c -0.03987,-0.19322 -0.11641,-0.37701 -0.225483,-0.5414 l 0.241157,-0.24115 -0.436493,-0.4365 -0.241156,0.24115 c -0.164489,-0.10862 -0.348266,-0.18477 -0.541398,-0.22427 v -0.34124 z m 0.30868,0.61737 c 0.333678,0 0.653149,0.13505 0.885649,0.37439 0.223851,0.23044 0.349073,0.53906 0.349073,0.86033 0,0.33367 -0.135053,0.65314 -0.374395,0.88565 -0.230442,0.22385 -0.539058,0.34906 -0.860327,0.34906 -0.333677,0 -0.653149,-0.13505 -0.885648,-0.37439 -0.223852,-0.23044 -0.349073,-0.53906 -0.349073,-0.86032 0,-0.33368 0.135053,-0.65315 0.374395,-0.88566 0.230442,-0.22384 0.539058,-0.34906 0.860326,-0.34906 z"
-         id="path5-6"
+         style="fill:currentColor;fill-opacity:1;stroke:none"
+         d="m 60.57642,281.3808 c -1.05492,0 -1.838921,0.88423 -1.838919,1.85633 0,0.9487 0.716617,1.71561 1.583674,1.83892 0.0013,1.8e-4 0.0045,-1.8e-4 0.0058,0 0.03469,0.005 0.06949,0.008 0.104418,0.0115 0.01348,9.5e-4 0.02132,-7.1e-4 0.03481,0 l 0.0058,0 c 0.0047,3.7e-4 0.0068,0 0.0116,0 0.03009,9.5e-4 0.06269,0.006 0.09281,0.006 0.0047,-10e-6 0.007,0 0.01161,0 0.04209,-5.5e-4 0.08568,-0.002 0.127622,-0.006 0.0062,-5.5e-4 0.01115,3.7e-4 0.01739,0 0.386612,-0.0397 0.757573,-0.22096 1.032578,-0.49889 0.425244,-0.53014 0.450034,-0.98249 0.264402,-1.72502 0.227992,0.97402 -0.455349,1.8325 -1.459418,1.85821 -0.788838,0 -1.461768,-0.66608 -1.461773,-1.48481 0.01267,-0.90056 0.74245,-1.48294 1.473376,-1.48626 l 0.029,0 c 0.03117,0 0.05855,-0.0288 0.05801,-0.0601 -0.0011,-0.0683 -0.0039,-0.18183 -0.0058,-0.2461 -9.11e-4,-0.0337 -0.02464,-0.0638 -0.058,-0.0638 z"
+         id="path3794"
          inkscape:connector-curvature="0"
-         style="fill:currentColor;fill-opacity:1;stroke:none" />
+         sodipodi:nodetypes="sccccccccccccccccsssss"
+         class="ColorScheme-ButtonFocus" />
     </g>
   </g>
 </svg>
-- 
GitLab

